%global momorel 1

Name: pam_smb
Version: 1.1.7
Release: %{momorel}m%{?dist}
Summary: A Pluggable Authentication Module (PAM) for use with SMB servers.
Group: System Environment/Base
URL: http://www.csn.ul.ie/~airlied/pam_smb/
License: GPL
Source: http://us3.samba.org/samba/ftp/pam_smb/pam_smb-%{version}.tar.gz
NoSource: 0
Source1: pam_smb.conf
Patch0: pam_smb-1.1.7-grubb.patch
Patch1: pam_smb-1.1.7-stray_quote.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: autoconf213, pam-devel

%description
The pam_smb module can be used to authenticate users using an external
SMB server.

%prep
%setup -q -n %{name}
cp %{SOURCE1} .
%patch0 -p1 -b .grubb
%patch1 -p1 -b .stray_quote
autoconf-2.13

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security $RPM_BUILD_ROOT/etc
install -m755 pam_smb_auth.so $RPM_BUILD_ROOT/%{_lib}/security/
install -m644 pam_smb.conf $RPM_BUILD_ROOT/etc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO pam_smb.conf.example
%config(noreplace) /etc/pam_smb.conf
/%{_lib}/security/pam_smb_auth.so

%changelog
* Wed Mar 14 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.7-1m)
- import from fc

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.7-7.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.1.7-7.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.7-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb  1 2006 Nalin Dahyabhai <nalin@redhat.com> 1.1.7-7
- remove a stray quote from configure.in that was causing a syntax error
  and breaking recompiles (upstream #1422089)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 16 2005 Nalin Dahyabhai <nalin@redhat.com> 1.1.7-6
- rebuild

* Tue Jul 27 2004 Alan Cox <alan@redhat.com>
- Merge Steve Grubb's fixes

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug 26 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.7-2
- rebuild

* Tue Aug 26 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.7-1
- update to 1.1.7, which is almost exactly 1.1.6 + the previous patch

* Fri Aug 15 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-9.7.1
- rebuild

* Fri Aug 15 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-9.9
- rebuild

* Fri Aug 15 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-9.8
- rebuild

* Fri Aug 15 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-9.7
- add patch from Dave Arlie to fix buffer overflow during password checking
  (CAN-2003-0686)

* Tue Aug 12 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-7.1
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 14 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-6
- rebuild
- install into /%%{_lib}/security instead of /lib/security, so that we put the
  module in the right place on multilib systems

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-3
- rebuild in new environment

* Fri Aug  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- add buildprereq on pam-devel (#49547)

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
